
Redmine - Defect #8722

Error to upgrade from 0.8 to 1.2

2011-06-30 15:39 - Michel Wilhelm

Status: Closed Start date: 2011-06-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I'm trying upgrade from 0.8, but when I login or access any projet, appear the following error:

Processing ProjectsController#show (for 201.67.214.109 at 2011-06-30 10:34:40) [GET]

Parameters: {"action"=>"show", "id"=>"aguiabusiness", "controller"=>"projects"}

ActiveRecord::StatementInvalid (Mysql::Error: You have an error in your SQL syntax; check the manual that corresponds to your

MySQL server version for the right syntax to use near 'AND projects.rgt < ))) AND issue_statuses.is_closed=0) AND

(((projects.status=1 ' at line 1: SELECT count(DISTINCT `issues`.id) AS count_all, tracker_id AS tracker_id FROM `issues`  LEFT

OUTER JOIN `projects` ON `projects`.id = `issues`.project_id  LEFT OUTER JOIN `issue_statuses` ON `issue_statuses`.id =

`issues`.status_id  LEFT OUTER JOIN `trackers` ON `trackers`.id = `issues`.tracker_id WHERE (((projects.id = 26 OR (projects.lft > 

AND projects.rgt < ))) AND issue_statuses.is_closed=0) AND (((projects.status=1 AND projects.id IN (SELECT em.project_id FROM

enabled_modules em WHERE em.name='issue_tracking')) AND ((projects.is_public = 1 AND ((issues.is_private = 0 OR

issues.author_id = 2 OR issues.assigned_to_id = 2))))))  GROUP BY tracker_id ):

My environment:

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /home/mrnet/domains/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

I'm using the trunk version.

History

#1 - 2011-06-30 17:18 - Etienne Massip

Did you run migration ?

The lft and rgt columns of your issues table should never be null after migration, but I guess this is not the case ?

#2 - 2011-07-04 09:29 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

You can fix this by executing the following SQL snippet:

UPDATE issues SET parent_id = NULL, root_id = id, lft = 1, rgt = 2 WHERE root_id IS NULL
